from typing import Optional
from pydantic import BaseModel


class Todo(BaseModel):
    # id: int | None = None
    id: Optional[int] = 0
    item: str

    class Config:
        Schema_extra = {
            "Example": {
                "id": 1,
                "item": "Example schema!"
                }
            }
